STRUCT TEMPLA(3)

NAME
boost::intrusive::make_rbtree_opt - #if !defined(BOOST_INTRUSIVE_VARIADIC_TEMPLATES)

SYNOPSIS

// In header: <boost/intrusive/rbtree.hpp>
template<typename T, typename O1 = none, typename O2 = none,
         typename O3 = none, typename O4 = none>
struct make_rbtree_opt {
  // types
  typedef pack_options< set_defaults< T >, O1, O2, O3, O4 >::type                                                                          packed_options;
  typedef unspecified                                                                                                                      value_traits;
  typedef setopt< value_traits, typename packed_options::compare, typename packed_options::size_type, packed_options::constant_time_size > type;
};